#include <stdlib.h>
#include <stdio.h>
#include <math.h>

int main()
{
    int p, q, r;
    long long int intL, intR;
    float k1, k2, k3;
    int kombinacije = 0;

    scanf( "%d %d %d %lld %lld", &p, &q, &r, &intL, &intR );

    for( long long int i = intL; i <= intR; i++ )
    {
        k1 = (float)i / p;
        k2 = (float)i / q;
        k3 = (float)i / r;

        long long int x = (long long int)(ceil(k1) + ceil(k2) + ceil(k3));

        if ( x <= i )
            kombinacije++;
    }

    printf("%d", kombinacije);

    return 0;
}